Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.rule.model
Interface LeafCondition

All Superinterfaces:
  Condition, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  LeafConditionImpl

    public interface LeafCondition

extends Condition

A representation of the model object 'Leaf Condition'.

Since:
  1.2
See Also:
  `RulePackage.getLeafCondition()`

Method Summary
`VDomainModelReference` | `getDomainModelReference()` Returns the value of the 'Domain Model Reference' containment reference.
`Object` | `getExpectedValue()` Returns the value of the 'Expected Value' attribute.
`VDomainModelReference` | `getValueDomainModelReference()` Returns the value of the 'Value Domain Model Reference' containment reference.
`void` | `setDomainModelReference(VDomainModelReference value)` Sets the value of the '`Domain Model Reference`' containment reference.
`void` | `setExpectedValue(Object value)` Sets the value of the '`Expected Value`' attribute.
`void` | `setValueDomainModelReference(VDomainModelReference value)` Sets the value of the '`Value Domain Model Reference`' containment reference.

Methods inherited from interface org.eclipse.emf.ecp.view.spi.rule.model.Condition
`evaluate, evaluateChangedValues`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getExpectedValue

    Object getExpectedValue()

  Returns the value of the 'Expected Value' attribute.

  If the meaning of the 'Expected Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Expected Value' attribute.
  See Also:
    `setExpectedValue(Object)`, `RulePackage.getLeafCondition_ExpectedValue()`

### setExpectedValue

    void setExpectedValue(Object value)

  Sets the value of the '`Expected Value`' attribute.

  Parameters:
    `value` - the new value of the 'Expected Value' attribute.
  See Also:
    `getExpectedValue()`

### getDomainModelReference

    VDomainModelReference getDomainModelReference()

  Returns the value of the 'Domain Model Reference' containment reference.

  If the meaning of the 'Domain Model Reference' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Domain Model Reference' containment reference.
  See Also:
    `setDomainModelReference(VDomainModelReference)`, `RulePackage.getLeafCondition_DomainModelReference()`

### setDomainModelReference

    void setDomainModelReference(VDomainModelReference value)

  Sets the value of the '`Domain Model Reference`' containment reference.

  Parameters:
    `value` - the new value of the 'Domain Model Reference' containment reference.
  See Also:
    `getDomainModelReference()`

### getValueDomainModelReference

    VDomainModelReference getValueDomainModelReference()

  Returns the value of the 'Value Domain Model Reference' containment reference.

  If the meaning of the 'Value Domain Model Reference' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Domain Model Reference' containment reference.
  Since:
    1.5
  See Also:
    `setValueDomainModelReference(VDomainModelReference)`, `RulePackage.getLeafCondition_ValueDomainModelReference()`

### setValueDomainModelReference

    void setValueDomainModelReference(VDomainModelReference value)

  Sets the value of the '`Value Domain Model Reference`' containment reference.

  Parameters:
    `value` - the new value of the 'Value Domain Model Reference' containment reference.
  Since:
    1.5
  See Also:
    `getValueDomainModelReference()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.